diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3de100e..7b3ebb0 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -129333,7 +129333,7 @@ PushVariables(R,E,OV,PPR):C == T where
      map(f:(PR -> PPR), p: PPR) : PPR ==
        ground? p => f(retract p)
        v:=mainVariable(p)::OV
-       multivariate(map(map(f,#1),univariate(p,v)),v)
+       multivariate(map((x:PPR):PPR+->map(f,x),univariate(p,v)),v)
 
                ----  push back the variable  ----
      pushupCoef(c:PR, lv:List OV): PPR ==
@@ -129355,10 +129355,10 @@ PushVariables(R,E,OV,PPR):C == T where
        ppr
 
      pushup(f:PPR,x:OV) :PPR ==
-       map(pushupCoef(#1,[x]), f)
+       map(y +-> pushupCoef(y,[x]), f)
 
      pushup(g:PPR, lv:List OV) : PPR ==
-       map(pushupCoef(#1, lv), g)
+       map(y +-> pushupCoef(y, lv), g)
 
 @
 <<PUSHVAR.dotabb>>=
diff --git a/changelog b/changelog
index ff1f817..af90bcb 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090619 tpd src/axiom-website/patches.html 20090619.02.tpd.patch
+20090619 tpd books/bookvol10.4 PUSHVAR +-> conversion
 20090619 tpd src/axiom-website/patches.html 20090619.01.tpd.patch
 20090619 tpd books/bookvol10.4 INTPAF +-> conversion
 20090616 tpd src/axiom-website/patches.html 20090616.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 1f31313..6e84251 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1581,5 +1581,7 @@ src/algebra/Makefile add gloss* files<br/>
 src/algebra/Makefile add gloss* files to 'all' stanza<br/>
 <a href="patches/20090619.01.tpd.patch">20090619.01.tpd.patch</a>
 bookvol10.4 INTPAF +-> conversion<br/>
+<a href="patches/20090619.02.tpd.patch">20090619.02.tpd.patch</a>
+bookvol10.4 PUSHVAR +-> conversion<br/>
  </body>
 </html>
